import { ClientConfig } from 'pg';
export declare type TypeIdentifier = 'String' | 'Int' | 'Float' | 'Boolean' | 'DateTime' | 'ID' | 'Json';
export interface Relation {
    table: string;
}
export interface Column {
    name: string;
    type: string;
    typeIdentifier: TypeIdentifier;
    comment: string | null;
    relation: Relation | null;
    nullable: Boolean;
}
export interface Table {
    name: string;
    columns: Column[];
}
export declare type PostgresConnectionDetails = string | ClientConfig;
